#ifndef SPEX_LIB
#define SPEX_LIB

#ifndef SPEX
#  define SPEX
#endif


// Stores the BFS_Trail to be restored later (for expansion)
// Return value is currently not used
int save_frame(BFS_Trail *);

// Locates the duplicate state and stores a new index to it
int save_duplicate(Trail *);

// Used to select a frame (through interaction) for expansion. Uses either a function for human
// interaction, or an explorer_interface function.
// Returns the selected frame to be expanded
BFS_Trail *load_frame();

// Initializes the storage.
// Should be called only once at the start of the program.
void storage_init();


#endif
