proc connection_progress_udp {sid io p} {
	set timemout 10
	# WARNING: the next test is based on udp as gateinfo(comm,$g)
	expect {
		-i $sid -re "HOSTPORT(\[^\\\n\]+)\n" {
			send_error "Connection to IUT $io pco \`\`$p\'\' established\n"
		}
		-i $sid "onnection refused" {
			fatal "Connection refused to IUT $io pco \`\`$p\'\'\n"
		}
		-i $sid "unknown host" {
			fatal "Unknown host while connecting to IUT $io pco \`\`$p\'\'\n"
		}
		-i $sid eof {
			fatal "Eof from IUT while connecting to $io pco \`\`$p\'\': $expect_out(buffer)\n"
		}
		timeout {
			fatal "Timeout from IUT while connecting to $io pco \`\`$p\'\'\n"
		}
	}
}
