# =========================================================================
#
# main loop
#

proc batch_loop {depth} {
	global maininfo
	set maininfo(chooseInputs) 1
	log_time_and_state
	set d 0
	set startState [spec_get_super]
	puts stderr "DEBUG startState $startState"
	set autStart [mkstate $startState 0]
	if {[string compare $startState ""] == 0} {
		fatal "cannot get super state\n"
	}
	set states($autStart) 1
	set todo($startState) 1
	set incomingdelta($startState) 0
	while {($depth <= 0 || $d < $depth) && [main_go_on]} {
		foreach S [array names todo] {
			puts stderr "DEBUG spec_set_super $S"
			spec_set_super $S
			puts stderr "DEBUG spec_get_super [spec_get_super]"
			# set trans([mkstate $S,$d]) {}
			# debug code start
			set inputs [spec_get_inputs]
			set outputs [spec_get_outputs]
			puts stderr "DEBUG inputs:"
			foreach e [lindex $inputs 1] {
				puts stderr "DEBUG input: $e"
			}
			puts stderr "DEBUG outputs:"
			foreach e [lindex $outputs 1] {
				puts stderr "DEBUG output: $e"
			}
			# debug code end
			if {[info exists incomingdelta($S)] && $incomingdelta($S)} {
				puts stderr "DEBUG incomingdelta $S"
				set iosug [list input ""]
			} else {
				set iosug ""
			}
			set iokind_chan [spec_get_iokind $iosug]
			puts stderr "DEBUG iokind_chan: $iokind_chan"
			set chan [lindex $iokind_chan 1]
			switch -- [lindex $iokind_chan 0] \
			  input {
				set event_to_try [uttrace_event [spec_choose_from_menu "" ""]]
				puts stderr "DEBUG event_to_try $event_to_try"
				set input [spec_get_input $chan $event_to_try ""]
				puts stderr "DEBUG input $input"
				switch -- [lindex $input 0] \
				  input_ok {
					set chan_spec [lindex $input 1]
					set ev_spec [lindex $input 2]
					set susp_spec [lindex $input 3]
					set preds_spec [lindex $input 4]
					puts stderr "DEBUG check_input ($chan_spec) ($ev_spec) ($susp_spec) ($preds_spec)"
					check_input $chan_spec $ev_spec $susp_spec $preds_spec
					set Snew [spec_get_super]
					puts stderr "DEBUG state $Snew"
					puts stderr "DEBUG INPUT $S -> ($chan_spec) ($ev_spec) ($susp_spec) ($preds_spec) -> $Snew"
					set autS [mkstate $S $d]
					set autT [lrange $input 1 end]
					set autD [mkstate $Snew [expr $d + 1]]
					if {![info exists transtable($autS,$autT,$autD)]} {
						set transtable($autS,$autT,$autD) 1
						lappend trans($autS) [list $autT $autD]
					}
					set states($autS) 1
					set states($autD) 1
#					if {![info exists states($autD,input)] || ![info exists states($autD,output)]} {
						set todonew($Snew) 1
						set incomingdelta($Snew) 0
#					}
				} input_error {
				  	set step_failure 1
					if {[llength $input] > 1} {
						set reason [join [lrange $input 1 end] " "]
						send_user "Primer: input action unsuccessful: $reason\n"
					} else {
						send_user "Primer: input action unsuccessful\n"
					}
					send_user "primer: (start of unsuccesful input action)\n"
					send_user "primer: input action event: $event_to_try\n"
					send_user "primer: input action channel: $chan\n"
					send_user "primer: (end of unsuccesful input action)\n"
				} error {
					fatal "error from specification\n"
				}
			} output {
				set outputs [spec_get_outputs]
				switch -- [lindex $outputs 0] \
				  outputs {
					foreach o [lindex $outputs 1] {
# puts stderr "output:o: $o"
						puts stderr "DEBUG output $o"
						puts stderr "DEBUG spec_set_super $S"
						spec_set_super $S
						puts stderr "DEBUG spec_get_super [spec_get_super]"
						set chan_spec [lindex $o 0]
						set ev_spec [lindex $o 1]
						set susp_spec [lindex $o 2]
						set preds_spec [lindex $o 3]
						check_output $chan_spec $ev_spec $susp_spec $preds_spec
						set Snew [spec_get_super]
						puts stderr "DEBUG state $Snew"
						puts stderr "DEBUG OUTPUT $S -> ($chan_spec) ($ev_spec) ($susp_spec) ($preds_spec) -> $Snew"
						set autS [mkstate $S $d]
						set autT $o
						set autD [mkstate $Snew [expr $d + 1]]
						if {![info exists transtable($autS,$autT,$autD)]} {
							set transtable($autS,$autT,$autD) 1
							lappend trans($autS) [list $autT $autD]
						}
						set states($autS) 1
						set states($autD) 1
#						if {![info exists states($autD,input)] || ![info exists states($autD,output)]} {
							set todonew($Snew) 1
							if {! $susp_spec} {
								set incomingdeltanew($Snew) 0
							} elseif {![info exists incomingdeltanew($Snew)]} {
								set incomingdeltanew($Snew) 1
							}
#						}
						puts stderr "DEBUG spec_set_super $S"
						spec_set_super $S
						puts stderr "DEBUG spec_get_super [spec_get_super]"
					}
				} error {
					fatal "error from specification\n"
				}
			} error {
				fatal "error from specification\n"
			} default {
			}

		}
		unset todo
		array set todo [array get todonew]
		catch {unset todonew}
		unset incomingdelta
		array set incomingdelta [array get incomingdeltanew]
		catch {unset incomingdeltanew}
		set d [expr $d + 1]
	}
	set nrstates [llength [array names states]]
	set nrtrans 0
	foreach s [array names trans] {
		incr nrtrans [llength $trans($s)]
	}
	# the transitions in variable trans contain
	# 'all' information: channel, label, is_susp, preds
	# whereas we only need the label, which we
	# extract when we generate the transition
	puts "des ($autStart, $nrtrans, $nrstates)"
	foreach s [lsort -integer [array names trans]] {
		foreach t $trans($s) {
			puts "($s, \"[lindex [lindex $t 0] 1]\", [lindex $t 1])"
		}
	}
	puts stderr "DEBUG spec_set_super $startState"
	spec_set_super $startState
	puts stderr "DEBUG spec_get_super [spec_get_super]"
	catch {send_error "End of Batch Test\n"}
}

proc mkstate {S {d {}} {kind {}}} {
	global mkstates
	global maininfo

	if {![info exists mkstates(next)]} {
		set mkstates(next) 0
	}
	if {$maininfo(batch,automaton)} {
		set d ""
	}
	set key "$S,$d,$kind"
	if {![info exists mkstates(map,$key)]} {
		set mkstates(map,$key) $mkstates(next)
		set  mkstates(next) [expr $mkstates(next) + 1]
	}
	return $mkstates(map,$key)
}

# =========================================================================
