#!/bin/sh
#
# A simple script to list the complete file-names of
# all man pages of torx in the _installation_ directory
# (_not_ from the source dir!)
# The torx-intro man page will be put as first;
# the other pages will apear per section in alfabetical order.
# This list can then be used to produce a listing of all
# man pages:
#     nroff -man `torx-mans`
#    groff -man `torx-mans` > /tmp/torx-mans.ps
#
mandir=@mandir@
intro=torx-intro

mans=`ls $mandir/*/*`
mans_no_intro=`echo $mans | tr ' ' '\\012' | grep -v $intro`
mans_intro=`echo    $mans | tr ' ' '\\012' | grep    $intro`

mans_ordered=`echo $mans_intro $mans_no_intro`

echo $mans_ordered
