/* acconfig.h
   Extensions for TorX

   Descriptive text for the C preprocessor macros that
   the macros in configure.in can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* CPP that can be used by Trojak tangen */
#undef TROJKACPPSTR

/* Define if using Tcl stubs library  */
#undef USE_TCL_STUBS


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
